{"openapi":"3.0.1","info":{"title":"2.61 Самозанятые. Личный кабинет","description":"2.61 Самозанятые. Регистрация, привязка, доходы, уведомления","contact":{"name":"Владимир Манзюк","url":"https://wiki.corp.dev.vtb/pages/viewpage.action?pageId=226628804","email":"Manzuk@vtb.ru"},"version":"1.0.0"},"servers":[{"url":"http://subo-smz-backend.apps.d0-oscp.corp.dev.vtb/api/smz/v1","description":"Generated server url"}],"security":[{"EpaAuth":[],"basicAuth":[],"clientId":[]}],"tags":[{"name":"get-notification-count-smz","description":"Получение количества непрочитанных уведомлений"},{"name":"smz-unbind","description":"Отвязка СМЗ от банка"},{"name":"smz-notification-acknowledged","description":"Отметка уведомлений как прочитанные"},{"name":"smz-permission-confirm","description":"Отправка sms с кодом"},{"name":"find-inn","description":"Получение ИНН по персональным данным"},{"name":"sms-otp-smz","description":"Операции с OTP кодами. Отправка и подтверждение"},{"name":"get-smz","description":"Получение информации о самозанятом из ФНС"},{"name":"smz-unregistration-check","description":"Проверка заявки на снятие с учета"},{"name":"smz-registration-check","description":"Проверка регистрации клиента в ФНС"},{"name":"reference-registration","description":"Получение справки о постановке на учет"},{"name":"smz-verification","description":"Проверка наличия ограничений"},{"name":"smz-registration","description":"Регистрация клиента в ФНС"},{"name":"smz-granted-permissions-update","description":"Изменение списка прав"},{"name":"smz-debts","description":"Получение информации о неоплаченных начислениях"},{"name":"smz-bind","description":"Привязка СМЗ к банку"},{"name":"smz-bind-check","description":"Проверка заявки на предоставление прав"},{"name":"patch-smz","description":"Обновление данных о самозанятом"},{"name":"smz-notification-archived","description":"Отметка уведомлений как архивные"},{"name":"smz-unregistration","description":"Снятие клиента с учета"},{"name":"smz-permissions-check","description":"Проверка заявки на изменение списка прав"},{"name":"order-delete","description":"Удаление неуспешной заявки"},{"name":"smz-info","description":"Получение данных о клиенте и черных списках"},{"name":"smz-payment-documents","description":"Получение платежных документов"},{"name":"smz-status","description":"Запрос статуса смз по инн"},{"name":"smz-granted-permissions","description":"Получение списка выданных прав"},{"name":"smz-permission-request","description":"Отправка sms с кодом"},{"name":"smz-payment-documents-file","description":"Получение PDF файла с платежными документами"},{"name":"reference-income","description":"Получение справки о доходах"},{"name":"smz-notification-delivered","description":"Отметка уведомлений как доставленные"},{"name":"get-notifications-list","description":"Получить список уведомлений"}],"paths":{"/client":{"get":{"tags":["get-smz"],"operationId":"get","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzGetResponse"}}}}}},"put":{"tags":["patch-smz"],"operationId":"patch_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmzPatchRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzPatchResponse"}}}}}},"patch":{"tags":["patch-smz"],"operationId":"patch","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmzPatchRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzPatchResponse"}}}}}}},"/client/permissions":{"get":{"tags":["smz-granted-permissions"],"operationId":"grantedPermissions","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzGetGrantedPermissionsResponse"}}}}}},"put":{"tags":["smz-granted-permissions-update"],"operationId":"update","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmzUpdateGrantedPermissionsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzUpdateGrantedPermissionsResponse"}}}}}}},"/client/verification":{"post":{"tags":["smz-verification"],"operationId":"find","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzVerificationResponse"}}}}}}},"/client/unregistration":{"post":{"tags":["smz-unregistration"],"operationId":"unregistration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmzUnregistrationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzUnregistrationResponse"}}}}}}},"/client/unbind":{"post":{"tags":["smz-unbind"],"operationId":"unbind","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzUnbindResponse"}}}}}}},"/client/registration":{"post":{"tags":["smz-registration"],"operationId":"registration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmzRegistrationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzRegistrationResponse"}}}}}}},"/client/permission":{"post":{"tags":["smz-permission-request"],"operationId":"requestPermissions","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzSendOtpResponse"}}}}}}},"/client/permission/confirm":{"post":{"tags":["smz-permission-confirm"],"operationId":"registration_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmzPermissionConfirmRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/client/otp":{"post":{"tags":["sms-otp-smz"],"operationId":"sendOtp","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzSendOtpResponse"}}}}}}},"/client/otp/confirm":{"post":{"tags":["sms-otp-smz"],"operationId":"confirmOtp","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmzConfirmOtpDto"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/client/notifications/read":{"post":{"tags":["smz-notification-acknowledged"],"operationId":"workAcknowledged","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmzNotificationActionRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/client/notifications/delivered":{"post":{"tags":["smz-notification-delivered"],"operationId":"workDelivered","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmzNotificationActionRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/client/notifications/archived":{"post":{"tags":["smz-notification-archived"],"operationId":"workArchived","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmzNotificationActionRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/client/find":{"post":{"tags":["find-inn"],"operationId":"find_1","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzFindInnResponse"}}}}}}},"/client/bind":{"post":{"tags":["smz-bind"],"operationId":"bind","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmzBindRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzBindResponse"}}}}}}},"/reference/registration":{"get":{"tags":["reference-registration"],"operationId":"referenceRegistrationFile_1","parameters":[{"name":"year","in":"query","description":"Год для формирования справки","required":true,"schema":{"maxLength":4,"minLength":4,"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/pdf":{"schema":{"maxLength":2147483647,"type":"string","format":"binary"}},"application/json":{"schema":{"$ref":"#/components/schemas/FileBase64Response"}}}}}}},"/reference/income":{"get":{"tags":["reference-income"],"operationId":"referenceIncomeFile_1","parameters":[{"name":"year","in":"query","description":"Год для формирования справки","required":true,"schema":{"maxLength":4,"minLength":4,"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/pdf":{"schema":{"maxLength":2147483647,"type":"string","format":"binary"}},"application/json":{"schema":{"$ref":"#/components/schemas/FileBase64Response"}}}}}}},"/client/unregistration/{orderId}":{"get":{"tags":["smz-unregistration-check"],"operationId":"unregistrationCheck","parameters":[{"name":"orderId","in":"path","description":"Идентификатор заявки на регистрацию","required":true,"schema":{"maxLength":36,"minLength":36,"type":"string"},"example":"123e4567-e89b-12d3-a456-426614174000"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzUnregistrationCheckResponse"}}}}}}},"/client/status":{"get":{"tags":["smz-status"],"operationId":"status","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzStatusResponse"}}}}}}},"/client/registration/{orderId}":{"get":{"tags":["smz-registration-check"],"operationId":"registrationCheck","parameters":[{"name":"orderId","in":"path","description":"Идентификатор заявки на регистрацию","required":true,"schema":{"maxLength":36,"minLength":36,"type":"string"},"example":"123e4567-e89b-12d3-a456-426614174000"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzRegistrationCheckResponse"}}}}}}},"/client/permissions/{orderId}":{"get":{"tags":["smz-permissions-check"],"operationId":"updateGrantedPermissionsCheck","parameters":[{"name":"orderId","in":"path","description":"Идентификатор заявки на изменение списка прав","required":true,"schema":{"maxLength":36,"minLength":36,"type":"string"},"example":"123e4567-e89b-12d3-a456-426614174000"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzUpdateGrantedPermissionsCheckResponse"}}}}}}},"/client/payment/documents":{"get":{"tags":["smz-payment-documents"],"operationId":"paymentDocuments","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzPaymentDocumentsResponse"}}}}}}},"/client/payment/documents/file/{generatedFileId}":{"get":{"tags":["smz-payment-documents-file"],"operationId":"paymentDocumentsFile_1","parameters":[{"name":"generatedFileId","in":"path","description":"Идентификатор файла","required":true,"schema":{"maxLength":36,"minLength":36,"type":"string"},"example":"123e4567-e89b-12d3-a456-426614174000"}],"responses":{"200":{"description":"OK","content":{"application/pdf":{"schema":{"maxLength":2147483647,"type":"string","format":"binary"}},"application/json":{"schema":{"$ref":"#/components/schemas/FileBase64Response"}}}}}}},"/client/notifications":{"get":{"tags":["get-notifications-list"],"operationId":"get_1","parameters":[{"name":"getRead","in":"query","description":"Получить прочитанные уведомления","required":false,"schema":{"type":"boolean","default":false},"example":true},{"name":"getArchived","in":"query","description":"Получить архивные уведомления","required":false,"schema":{"type":"boolean","default":false},"example":true}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzGetNotificationsListResponse"}}}}}}},"/client/notifications/count":{"get":{"tags":["get-notification-count-smz"],"operationId":"get_2","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzGetNotificationCountResponse"}}}}}}},"/client/info":{"get":{"tags":["smz-info"],"operationId":"information","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzInformationResponse"}}}}}}},"/client/debts":{"get":{"tags":["smz-debts"],"operationId":"debts","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzDebtsResponse"}}}}}}},"/client/bind/{orderId}":{"get":{"tags":["smz-bind-check"],"operationId":"bindCheck","parameters":[{"name":"orderId","in":"path","description":"Идентификатор заявки на регистрацию","required":true,"schema":{"$ref":"#/components/parameters/uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SmzBindCheckResponse"}}}}}}},"/client/order":{"delete":{"tags":["order-delete"],"operationId":"delete","responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"SmzPatchRequest":{"required":["activities"],"type":"object","properties":{"phone":{"maxLength":20,"type":"string","description":"Номер мобильного телефона","example":"+791005558889"},"email":{"maxLength":255,"type":"string","description":"Email","example":"email@example.ru"},"activities":{"maxItems":100,"type":"array","description":"Массив видов деятельности","items":{"$ref":"#/components/schemas/SmzPatchRequestActivity"}},"oktmo":{"maxLength":11,"type":"string","description":"ОКТМО региона","example":"45000000"}},"additionalProperties":false,"description":"Изменение данных клиента"},"SmzPatchRequestActivity":{"required":["id"],"type":"object","properties":{"id":{"maximum":2147483647,"minimum":0,"type":"integer","description":"Идентификатор вида деятельности","example":3}},"additionalProperties":false,"description":"Активность"},"SmzPatchResponse":{"required":["updateTime"],"type":"object","properties":{"updateTime":{"maxLength":2147483647,"type":"string","description":"Дата и время последнего обновления","format":"date-time"}},"additionalProperties":false,"description":"Ответ на обновление данных клиента"},"SmzUpdateGrantedPermissionsRequest":{"required":["items"],"type":"object","properties":{"items":{"maxItems":100,"type":"array","description":"Права/разрешения","items":{"$ref":"#/components/schemas/SmzUpdateGrantedPermissionsRequestItem"}}},"additionalProperties":false,"description":"Запрос на обновлений разрешений"},"SmzUpdateGrantedPermissionsRequestItem":{"required":["permission"],"type":"object","properties":{"permission":{"maxLength":2147483647,"type":"string","description":"Запрашиваемое право","enum":["INCOME_REGISTRATION","PAYMENT_INFORMATION","TAX_PAYMENT","INCOME_LIST","INCOME_SUMMARY","CANCEL_INCOME","CANCEL_ANY_INCOME","TAXPAYER_UPDATE","PERMISSIONS_MGMT"]}},"additionalProperties":false,"description":"Право"},"SmzUpdateGrantedPermissionsResponse":{"required":["orderId"],"type":"object","properties":{"orderId":{"maxLength":36,"type":"string","description":"Идентификатор заявки","example":"123e4567-e89b-12d3-a456-426614174000"}},"additionalProperties":false,"description":"Ответ на обновление разрешений"},"SmzVerificationResponse":{"required":["result"],"type":"object","properties":{"result":{"maxLength":255,"type":"string","description":"Результат запроса","example":"INTERNAL_ERROR"},"rejectReason":{"maxLength":255,"type":"string","description":"Код причины отказа","example":"REGISTERED"}},"additionalProperties":false,"description":"Ответ на запрос верификации"},"SmzUnregistrationRequest":{"required":["reason"],"type":"object","properties":{"reason":{"maxLength":255,"type":"string","description":"Причина снятия с учета","example":"REASON"}},"additionalProperties":false,"description":"Запрос на отвязку"},"SmzUnregistrationResponse":{"required":["id"],"type":"object","properties":{"id":{"maxLength":36,"type":"string","description":"Идентификатор заявки","example":"123e4567-e89b-12d3-a456-426614174000"}},"additionalProperties":false,"description":"Ответ на отвязку "},"SmzUnbindResponse":{"type":"object","properties":{"unboundTime":{"maxLength":2147483647,"type":"string","description":"Время отвязки клиента","format":"date-time"}},"additionalProperties":false,"description":"Статус отвязки"},"SmzRegistrationRequest":{"required":["activities","oktmo"],"type":"object","properties":{"activities":{"type":"array","description":"Виды деятельности","items":{"$ref":"#/components/schemas/SmzPatchRequestActivity"}},"oktmo":{"maxLength":11,"type":"string","description":"ОКТМО региона","example":"45 304 000"}},"additionalProperties":false,"description":"Запрос на регистрацию"},"SmzRegistrationResponse":{"required":["orderId"],"type":"object","properties":{"orderId":{"maxLength":36,"type":"string","description":"Идентификатор заявки на регистрацию","example":"123e4567-e89b-12d3-a456-426614174000"}},"additionalProperties":false,"description":"Ответ на регистрацию"},"SmzSendOtpResponse":{"required":["attemptsLeft","lifeTime","phoneNumberMask","processingTime"],"type":"object","properties":{"processingTime":{"maxLength":2147483647,"type":"string","description":"Таймстамп начала жизни кода","format":"date-time"},"lifeTime":{"maximum":3600,"minimum":30,"type":"integer","description":"Время жизни кода в секундах"},"attemptsLeft":{"maximum":255,"minimum":0,"type":"integer","description":"Количество попыток подтверждения"},"phoneNumberMask":{"maxLength":18,"type":"string","description":"Частично скрытый телефон на который был отправлен код","example":"+7 (999) ***-12-34"}},"additionalProperties":false,"description":"Результат отправки кода"},"SmzPermissionConfirmRequest":{"required":["code"],"type":"object","properties":{"code":{"maxLength":6,"type":"string","description":"Введенный клиентом код","example":"111111"}},"additionalProperties":false,"description":"Подтверждение разрешения"},"SmzConfirmOtpDto":{"required":["code"],"type":"object","properties":{"code":{"maxLength":6,"type":"string","description":"Код для подтверждения"}},"additionalProperties":false,"description":"Код для подтверждения"},"Item":{"required":["messageId"],"type":"object","properties":{"messageId":{"maxLength":36,"type":"string","description":"Идентификатор уведомления","example":"cae0909a-915f-11eb-a8b3-0242ac130003"}},"additionalProperties":false,"description":"Идентификатор уведомления"},"SmzNotificationActionRequest":{"required":["items"],"type":"object","properties":{"items":{"maxItems":100,"type":"array","description":"Массив идентификаторов","items":{"$ref":"#/components/schemas/Item"}}},"additionalProperties":false,"description":"Действие с уведомлениями"},"SmzFindInnResponse":{"required":["inn"],"type":"object","properties":{"inn":{"maxLength":12,"type":"string","description":"ИНН самозанятого","example":"123456789022"}},"additionalProperties":false,"description":"ИНН клиента"},"SmzBindRequest":{"required":["permissions"],"type":"object","properties":{"permissions":{"type":"array","description":"Список разрешений","items":{"maxLength":19,"type":"string","description":"Разрешение","enum":["INCOME_REGISTRATION","PAYMENT_INFORMATION","TAX_PAYMENT","INCOME_LIST","INCOME_SUMMARY","CANCEL_INCOME","CANCEL_ANY_INCOME","TAXPAYER_UPDATE","PERMISSIONS_MGMT"]}}},"additionalProperties":false,"description":"Запрос на привязку"},"SmzBindResponse":{"required":["orderId"],"type":"object","properties":{"orderId":{"maxLength":36,"type":"string","description":"Идентификатор заявки на предоставление прав","example":"123e4567-e89b-12d3-a456-426614174000"}},"additionalProperties":false,"description":"Ответ на запрос на привязку"},"FileBase64Response":{"required":["file"],"type":"object","properties":{"file":{"maxLength":2147483647,"type":"string","description":"base64 закодированный файл","example":"sdgaekhy23lkh45ewdssgb23kl41"}},"additionalProperties":false,"description":"файл"},"SmzGetResponse":{"required":["activities","firstName","lastName","phone","region","registrationTime"],"type":"object","properties":{"lastName":{"maxLength":255,"type":"string","description":"Фамилия","example":"Захарченко"},"firstName":{"maxLength":255,"type":"string","description":"Имя","example":"Нурсултан"},"middleName":{"maxLength":255,"type":"string","description":"Отчество","example":"Михайлович"},"registrationTime":{"maxLength":2147483647,"type":"string","description":"Дата и время последней постановки на учет","format":"date-time"},"unregistrationTime":{"maxLength":2147483647,"type":"string","description":"Дата и время снятия с учета","format":"date-time"},"activities":{"maxItems":100,"type":"array","description":"Массив видов деятельности","items":{"$ref":"#/components/schemas/SmzGetResponseActivity"}},"region":{"$ref":"#/components/schemas/SmzGetResponseRegion"},"phone":{"maxLength":20,"type":"string","description":"Номер мобильного телефона","example":"+791005558889"},"email":{"maxLength":255,"type":"string","description":"Email","example":"email@example.ru"},"updateTime":{"maxLength":2147483647,"type":"string","description":"Дата и время последнего обновления","format":"date-time"}},"additionalProperties":false,"description":"Данные клиента"},"SmzGetResponseActivity":{"required":["id","name"],"type":"object","properties":{"id":{"maximum":2000,"minimum":1,"type":"integer","description":"Идентификатор вида деятельности","example":123},"name":{"maxLength":255,"type":"string","description":"Наименование вида деятельности","example":"Уборка помещений"}},"additionalProperties":false,"description":"Вид деятельности"},"SmzGetResponseRegion":{"required":["name","oktmo"],"type":"object","properties":{"oktmo":{"maxLength":11,"type":"string","description":"OKTMO региона","example":"123"},"name":{"maxLength":255,"type":"string","description":"Название региона","example":"Москва"}},"additionalProperties":false,"description":"Регион"},"SmzUnregistrationCheckResponse":{"required":["result"],"type":"object","properties":{"result":{"maxLength":2147483647,"type":"string","description":"Результат запроса","enum":["ORDER_REGISTERED","IN_PROGRESS","COMPLETED","FAILED"]},"rejectReason":{"maxLength":255,"type":"string","description":"Причина отказа (код)","example":"TAXPAYER_IS_NOT_GOOD_ENOUGH"},"unregistrationTime":{"maxLength":2147483647,"type":"string","description":"Дата и время снятия с учета","format":"date-time"}},"additionalProperties":false,"description":"Проверка отвязки клиента"},"SmzStatusBindOrderResponse":{"required":["id","result"],"type":"object","properties":{"id":{"maxLength":36,"type":"string","description":"Идентификатор последней заявки на предоставление прав","example":"123e4567-e89b-12d3-a456-426614174000"},"result":{"maxLength":2147483647,"type":"string","description":"Результат по заявке","enum":["COMPLETED","FAILED","IN_PROGRESS"]},"rejectReason":{"maxLength":255,"type":"string","description":"Причина отказа","example":"Пользователь недостаточно хорош, чтобы быть СМЗ"}},"additionalProperties":false,"description":"Объект с заявкой"},"SmzStatusBindResponse":{"required":["status"],"type":"object","properties":{"status":{"maxLength":2147483647,"type":"string","description":"Статус предоставления прав","enum":["NOT_BOUND","IN_PROGRESS","BOUND"]},"unboundTime":{"maxLength":2147483647,"type":"string","description":"Время отвязки клиента","format":"date-time"},"order":{"$ref":"#/components/schemas/SmzStatusBindOrderResponse"}},"additionalProperties":false,"description":"Объект с информацией о предоставлении прав Банку"},"SmzStatusRegistrationOrderResponse":{"required":["id","result"],"type":"object","properties":{"id":{"maxLength":36,"type":"string","description":"Идентификатор последней заявки на регистрацию","example":"123e4567-e89b-12d3-a456-426614174000"},"result":{"maxLength":2147483647,"type":"string","description":"Результат по заявке","enum":["ORDER_REGISTERED","IN_PROGRESS","COMPLETED","FAILED"]},"rejectReason":{"maxLength":255,"type":"string","description":"Причина отказа","example":"TAXPAYER_ALREADY_REGISTRED"}},"additionalProperties":false,"description":"Объект с заявкой"},"SmzStatusRegistrationResponse":{"required":["status"],"type":"object","properties":{"status":{"maxLength":2147483647,"type":"string","description":"Статус регистрации клиента","enum":["NOT_REGISTERED","IN_PROGRESS","REGISTERED"]},"unregistrationTime":{"maxLength":2147483647,"type":"string","description":"Время снятия с учета","format":"date-time"},"order":{"$ref":"#/components/schemas/SmzStatusRegistrationOrderResponse"}},"additionalProperties":false,"description":"Объект с информацией о регистрации клиента"},"SmzStatusResponse":{"required":["bind","registration"],"type":"object","properties":{"registration":{"$ref":"#/components/schemas/SmzStatusRegistrationResponse"},"bind":{"$ref":"#/components/schemas/SmzStatusBindResponse"}},"additionalProperties":false,"description":"Статус самозанятого"},"SmzRegistrationCheckResponse":{"required":["result"],"type":"object","properties":{"result":{"maxLength":2147483647,"type":"string","description":"Результат запроса","enum":["ORDER_REGISTERED","IN_PROGRESS","COMPLETED","FAILED"]},"rejectReason":{"maxLength":255,"type":"string","description":"Причина отказа (код)","example":"TAXPAYER_IS_NOT_GOOD_ENOUGH"}},"additionalProperties":false,"description":"Проверка регистрации"},"GetGrantedPermissionsResponseItem":{"required":["permission"],"type":"object","properties":{"permission":{"maxLength":2147483647,"type":"string","description":"Разрешение","enum":["INCOME_REGISTRATION","PAYMENT_INFORMATION","TAX_PAYMENT","INCOME_LIST","INCOME_SUMMARY","CANCEL_INCOME","CANCEL_ANY_INCOME","TAXPAYER_UPDATE","PERMISSIONS_MGMT"]}},"additionalProperties":false,"description":"Выданное разрешение"},"SmzGetGrantedPermissionsResponse":{"required":["items"],"type":"object","properties":{"items":{"maxItems":100,"type":"array","description":"Список выданных разрешений","items":{"$ref":"#/components/schemas/GetGrantedPermissionsResponseItem"}}},"additionalProperties":false,"description":"Разрешения клиента"},"SmzUpdateGrantedPermissionsCheckResponse":{"required":["result"],"type":"object","properties":{"result":{"maxLength":2147483647,"type":"string","description":"Результат запроса","enum":["ACCEPTED","REJECTED","IN_PROGRESS"]},"processingTime":{"maxLength":2147483647,"type":"string","description":"Дата и время снятия с учета","format":"date-time"}},"additionalProperties":false,"description":"Проверка обновления разрешений"},"SmzPaymentDocumentsResponse":{"required":["items"],"type":"object","properties":{"generatedFileId":{"maxLength":36,"type":"string","description":"Идентификатор созданного PDF файла","example":"123e4567-e89b-12d3-a456-426614174000"},"items":{"maxItems":100,"type":"array","description":"Список документов","items":{"$ref":"#/components/schemas/SmzPaymentDocumentsResponseItem"}}},"additionalProperties":false,"description":"Платежные документы"},"SmzPaymentDocumentsResponseItem":{"required":["address","amount","code101","code106","code107","code110","createTime","documentIndex","dueDate","fullName","inn","recipient","type"],"type":"object","properties":{"type":{"maxLength":255,"type":"string","description":"Тип документа","example":"PENALTY"},"documentIndex":{"maxLength":20,"type":"string","description":"УИН","example":"18209997190000005257"},"fullName":{"maxLength":255,"type":"string","description":"ФИО плательщика","example":"Матросов Антон Ибросович"},"address":{"maxLength":255,"type":"string","description":"Адрес проживания","example":"603163, РОССИЯ, г Нижний Новгород, ул Родионова, 23а, 308"},"inn":{"maxLength":12,"type":"string","description":"ИНН","example":"999999222222"},"amount":{"maximum":9223372036854776000,"minimum":0,"type":"integer","description":"Сумма к оплате","example":105},"kbk":{"maxLength":255,"type":"string","description":"КБК","example":"18210506000012100110"},"oktmo":{"maxLength":11,"type":"string","description":"ОКТМО","example":"45000000"},"code101":{"maxLength":255,"type":"string","description":"Код для поля 101","example":"13"},"code106":{"maxLength":255,"type":"string","description":"Код для поля 106","example":"ЗД"},"code107":{"maxLength":255,"type":"string","description":"Код для поля 107","example":"25.10.2019"},"code110":{"maxLength":255,"type":"string","description":"Код для поля 110","example":"0"},"dueDate":{"maxLength":2147483647,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Срок оплаты"},"createTime":{"maxLength":2147483647,"type":"string","description":"Дата и время создания документа","format":"date-time"},"sourceId":{"maximum":9223372036854776000,"minimum":0,"type":"integer","description":"Внутренний идентификатор документа в ПП НПД","example":2},"recipient":{"$ref":"#/components/schemas/SmzPaymentDocumentsResponseItemRecipient"}},"additionalProperties":false,"description":"Документ"},"SmzPaymentDocumentsResponseItemRecipient":{"type":"object","properties":{"bankName":{"maxLength":255,"type":"string","description":"Банк получателя","example":"ГУ БАНКА РОССИИ ПО ЦФО"},"bankBik":{"maxLength":255,"type":"string","description":"БИК банка получателя","example":"044525000"},"bankAccountNumber":{"maxLength":255,"type":"string","description":"Номер счета банка получателя","example":"30101810100000000664"},"name":{"maxLength":255,"type":"string","description":"Название получателя","example":"Управление Федерального казначейства по г. Москве (Инспекция Федеральной налоговой службы № 1 по г.Москве)"},"accountNumber":{"maxLength":255,"type":"string","description":"Номер счета получателя","example":"40101810045250010041"},"inn":{"maxLength":12,"type":"string","description":"ИНН получателя","example":"7701107259"},"kpp":{"maxLength":255,"type":"string","description":"КПП получателя","example":"770901001"}},"additionalProperties":false,"description":"Получатель платежа"},"SmzGetNotificationsListResponse":{"required":["items"],"type":"object","properties":{"items":{"maxItems":100,"type":"array","description":"Список уведомлений","items":{"$ref":"#/components/schemas/SmzGetNotificationsListResponseItem"}}},"additionalProperties":false,"description":"Список уведомлений"},"SmzGetNotificationsListResponseItem":{"required":["createdDate","id","message","status","title"],"type":"object","properties":{"id":{"maxLength":36,"type":"string","description":"Идентификатор уведомления","example":"08f98f01-a6e2-4994-a9de-f569868bfc7d"},"title":{"maxLength":255,"type":"string","description":"Заголовок","example":"Предстоящий отчет в ФНС"},"message":{"maxLength":255,"type":"string","description":"Текст уведомления","example":"За период 01.03.2021 по 31.03.2021 вам предстоит отчитаться в ФНС по доходам"},"status":{"maxLength":2147483647,"type":"string","description":"Статус","example":"NEW","enum":["NEW","ACKNOWLEDGED","ARCHIVED"]},"createdDate":{"maxLength":2147483647,"type":"string","description":"Дата и время создания уведомления","format":"date-time","example":"2021-03-30T07:39:34.1294919Z"}},"additionalProperties":false,"description":"Уведомление"},"SmzGetNotificationCountResponse":{"required":["count"],"type":"object","properties":{"count":{"maximum":2147483647,"minimum":0,"type":"integer","description":"Количество непрочитанных сообщений","example":5}},"additionalProperties":false,"description":"Кол-во уведомлений"},"SmzInformationResponse":{"type":"object","properties":{"firstName":{"maxLength":255,"type":"string","description":"Имя","example":"Нурсултан"},"middleName":{"maxLength":255,"type":"string","description":"Отчество","example":"Михайлович"},"completeNumber":{"maxLength":20,"type":"string","description":"Номер телефона","example":"7********99"},"birthDate":{"maxLength":2147483647,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата рождения"},"passportSeries":{"maxLength":20,"type":"string","description":"Серия паспорта","example":"998789"},"passportNumber":{"maxLength":20,"type":"string","description":"Номер паспорта","example":"998789"},"inn":{"maxLength":12,"type":"string","description":"ИНН самозанятого","example":"123456789022"},"matchedBlackList":{"type":"boolean","description":"Есть ли совпадения по черным спискам"}},"additionalProperties":false,"description":"Данные о клиенте и черных списках"},"SmzDebtsResponse":{"type":"object","properties":{"taxAmount":{"maximum":9223372036854776000,"minimum":0,"type":"integer","description":"Сумма начисления","example":65448856},"taxDueDate":{"maxLength":2147483647,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Срок оплаты"},"taxPeriod":{"maxLength":6,"type":"string","description":"Налоговый период","example":"YYYYMM"},"debt":{"maximum":9223372036854776000,"minimum":0,"type":"integer","description":"Сумма задолженности","example":232124},"penalty":{"maximum":9223372036854776000,"minimum":0,"type":"integer","description":"Сумма пени","example":2134}},"additionalProperties":false,"description":"Начисленный долг и пеня"},"SmzBindCheckResponse":{"required":["permissions","result"],"type":"object","properties":{"result":{"maxLength":2147483647,"type":"string","description":"Результат запроса","example":"IN_PROGRESS","enum":["COMPLETED","FAILED","IN_PROGRESS"]},"permissions":{"type":"array","description":"Список разрешений","items":{"maxLength":19,"type":"string","description":"Разрешение","enum":["INCOME_REGISTRATION","PAYMENT_INFORMATION","TAX_PAYMENT","INCOME_LIST","INCOME_SUMMARY","CANCEL_INCOME","CANCEL_ANY_INCOME","TAXPAYER_UPDATE","PERMISSIONS_MGMT"]}}},"additionalProperties":false,"description":"Ответ на проверку привязки"}},"parameters":{"uuid":{"name":"UUID","in":"path","description":"UUID","required":true,"schema":{"maxLength":36,"type":"string"}}},"securitySchemes":{"EpaAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"},"basicAuth":{"type":"http","scheme":"basic"},"clientId":{"type":"apiKey","name":"X-MDM-ID","in":"header"}}}}